На веб-сайте https://pr-cbs.ru используются различные технологии для обеспечения его функциональности и удобства использования:

1. API Центральной библиотеки им. Маяковского и API Яндекс Метрики и Яндекс Карт: Используются для доступа к различным сервисам и данным, таким как информация о библиотеках и аналитика посещаемости.

2. Bootstrap: Фреймворк для разработки адаптивных и стилизованных веб-интерфейсов, предоставляющий готовые компоненты и стили для упрощения создания пользовательского интерфейса.

3. Docker Compose: Инструмент для оркестрации контейнеров Docker.

4. Freemarker: Шаблонизатор для динамической генерации веб-страниц, позволяющий вставлять переменные, условия и циклы для создания HTML-кода.

5. HTML/CSS/JavaScript: Основные языки для создания веб-страниц, обеспечивающие их структуру, стили и интерактивность.

6. jQuery и jQuery UI: JavaScript-библиотеки для создания интерактивных элементов интерфейса, таких как всплывающие окна и вкладки.

7. Liferay: Платформа с открытым исходным кодом для создания веб-приложений и корпоративных порталов, предоставляющая широкий спектр инструментов для разработки, управления контентом и взаимодействия с пользователями.

8. Lo-Dash: Библиотека утилит для JavaScript, обеспечивающая дополнительные методы для работы с данными.

9. Moment.js: Библиотека для работы с датами и временем в JavaScript.

10. Nginx: Веб-сервер и прокси-сервер для обработки запросов и доставки статического контента.

11. React: JavaScript-библиотека для создания автоматически обновляемых компонентов пользовательского интерфейса.

12. Сетевой контент: Используется для структурирования информации на портале, включая создание страниц, разделов, меню и отображение контента.

13. Виджеты: Используются для организации и отображения контента на страницах портала, таких как новости, календарь событий и поисковые формы.

14. YUI 3 и Closure Library: JavaScript-фреймворки с расширенными инструментами для создания веб-приложений и пользовательского интерфейса.

Эти технологии совместно создают удобный и функциональный веб-сайт, который удовлетворяет потребности пользователей и администраторов.